Description

Implement a smarthost to complement the NAT64 gateway, although ideally also allowing relaying of messages to IPv6 destinations.
Components:

SMTP server

Restricting sender domain to one owned by customer of sending machine

Antispam filter operating on similar principals to those used by major email service providers

Means for customers to register their domains for use for outgoing messages from their VM (and/or generation of list automatically
from DNS)

Optionally, multiple servers with stricter/looser spam-like message filtering, allowing customer to choose their own balance between
freedom of expression and reputation

Subtasks:

Task # 7573: Spamlike message filtering Rejected
Task # 7574: Create and setup VM for prototype Smarthost Rejected
History

#1 - 01/05/2020 04:26 PM - Nico Schottelius

- Status changed from New to Seen

Moris,

are you interested in creating a prototype for this one?

#2 - 01/06/2020 12:04 PM - Moris Jones

- Status changed from Seen to Waiting

I think it would make more sense for your resident exim guru to implement it with me helping out.
| don't have any experience with spam filtering on an SMTP server.

Also it will involve adding configuration options to one of your management tools (cdist,ungleich-cli,ucloud - | don't even know enough to determine
which one), for the customer to configure their smarthost settings (which of their domains permitted from which VMs, which smarthost to use).

Lastly it will need to draw information from the above, both reverse DNS lookup and DNS zones, and customer VM ownership records.

If you want me to help write the spec and debug the server, this is feasible.

#3 - 01/10/2020 09:44 PM - Moris Jones
- Status changed from Waiting to Feedback

#4 - 01/02/2024 02:18 PM - Nico Schottelius
- Status changed from Feedback to Rejected
